<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dxl="http://www.lotus.com/dxl" exclude-result-prefixes="dxl">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="dxl:database">
		<xsl:element name="database">
			<xsl:apply-templates select="dxl:document"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="dxl:document">
		<xsl:element name="{@form}">
			<xsl:for-each select="dxl:item">
				<xsl:choose>
					<!-- Items mit Dollarzeichen ignorieren !!! -->
					<!-- Sie verursachen einen Fehler, weil XML-Elemente nicht mit einem Dollar anfangen dürfen  -->
					<xsl:when test='contains(@name, "$")'/>
					<!-- Items named SaveOptions are skipped -->
					<xsl:when test='@name="SaveOptions"'/>
					<!-- Items starting with 'dsp' are skipped -->
					<xsl:when test='starts-with(@name, "dsp")'/>
					<xsl:otherwise>
						<xsl:element name="{@name}">
							<xsl:value-of select="*"/>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
