<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
	<!-- Attribute-Definitionen -->
	<xsl:attribute-set name="regular.text">
		<xsl:attribute name="font-family">Helvetica</xsl:attribute>
		<xsl:attribute name="font-size">9pt</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="table.data" use-attribute-sets="regular.text">
		<xsl:attribute name="padding">3pt</xsl:attribute>
		<xsl:attribute name="border-after-style">solid</xsl:attribute>
		<xsl:attribute name="border-after-width">1pt</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="table.data.head" use-attribute-sets="table.data">
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="border-before-style">solid</xsl:attribute>
		<xsl:attribute name="border-before-width">1pt</xsl:attribute>
		<xsl:attribute name="display-align">after</xsl:attribute>
		<xsl:attribute name="background-color">#37588B</xsl:attribute>
		<xsl:attribute name="color">#FFFFFF</xsl:attribute>
	</xsl:attribute-set>
	<!-- ========================= -->
	<!-- root element: database -->
	<!-- ========================= -->
	<xsl:template match="database">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="A4Page" page-height="29.7cm" page-width="21cm" margin-top="2cm" margin-bottom="2cm" margin-left="2cm" margin-right="2cm">
					<fo:region-body/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="A4Page">
				<fo:flow flow-name="xsl-region-body">
					<fo:block>
						<fo:table table-layout="fixed" inline-progression-dimension="180mm">
							<fo:table-column column-width="proportional-column-width(50)"/>
							<fo:table-column column-width="proportional-column-width(25)"/>
							<fo:table-column column-width="proportional-column-width(25)"/>
							<!-- Prozentangaben sind in FOP bisher nicht realisiert. proportional-column-width(25) funktionieren genau so -->
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets=" table.data.head">
										<fo:block>Subject</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets=" table.data.head">
										<fo:block>Date</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets=" table.data.head">
										<fo:block>Nr</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<xsl:apply-templates select="Sample"/>
							</fo:table-body>
						</fo:table>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="Sample">
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets=" table.data">
				<fo:block>
					<xsl:value-of select="Subject"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets=" table.data">
				<fo:block>
					<xsl:value-of select="Date"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets=" table.data">
				<fo:block>
					<xsl:value-of select="Number"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
</xsl:stylesheet>
